Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000014Anope Development (1.7.x series)NickServpublic2004-04-08 23:482004-05-25 22:37
Reporterdemine0@digitaltoxicity.net 
Assigned Tokeeper@haxxors.com 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version1.7.0 
Target VersionFixed in Version 
Summary0000014: forbid causes segfault in mysql_real_escape_string ()
DescriptionI did
/nickserv forbid saten test

Heres the GDB.

Program received signal SIGSEGV, Segmentation fault.
0x280c9e92 in mysql_real_escape_string ()
   from /usr/local/lib/mysql/libmysqlclient.so.12


Heres the bt in gdb

(gdb) bt
#0 0x280c9e92 in mysql_real_escape_string ()
   from /usr/local/lib/mysql/libmysqlclient.so.12
0000001 0x0808fad6 in db_mysql_quote (
    sql=0x80ca420 "UPDATE anope_cs_info SET successor=NULL WHERE
successor='Sata
n'") at mysql.c:161
0000002 0x0808f9ad in db_mysql_query (
    sql=0x80ca420 "UPDATE anope_cs_info SET successor=NULL WHERE
successor='Sata
n'") at mysql.c:108
0000003 0x0808f391 in rdb_cs_deluser (nick=0x837fa30 "Satan") at rdb.c:172
0000004 0x0805d614 in cs_remove_nick (nc=0x8381400) at chanserv.c:2005
0000005 0x0807b0de in delcore (nc=0x8381400) at nickserv.c:1463
0000006 0x0807b527 in delnick (na=0x8395680) at nickserv.c:1587
0000007 0x080807d6 in do_forbid (u=0x83fc800) at nickserv.c:3972
0000008 0x08066f60 in do_run_cmd (service=0x80e3060 "NickServ", u=0x83fc800,
    c=0x8108e80, cmd=0xbfbff8f2 "forbid") at commands.c:71
0000009 0x0807828a in nickserv (u=0x83fc800, buf=0xbfbff8f2 "forbid")
    at nickserv.c:348
0000010 0x0807274a in m_privmsg (source=0xbfbffb20 "DeMiNe0", ac=2, av=0x8415480)
    at messages.c:596
0000011 0x08089343 in process () at process.c:239
0000012 0x0806f77c in main (ac=76, av=0xbfbffbdc, envp=0xbfbffbe8) at main.c:475
0000013 0x08050ae5 in _start ()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-04-14 16:38 rob@anope.org CC => rob@anope.org
2004-04-20 13:38 rob@anope.org AssignedTo dev@anope.org => qa@anope.org
2004-04-20 13:38 rob@anope.org Status UNCONFIRMED => NEW
2004-04-21 03:35 bugs@teh-heinz0r.co.uk CC => globalbox2003@yahoo.com
2004-04-23 06:58 geniusdex@anope.org CC => gacevedo@anope.org
2004-04-23 07:10 geniusdex@anope.org AssignedTo qa@anope.org => dane@zero.org
2004-04-23 07:10 geniusdex@anope.org Status NEW => UNCONFIRMED
2004-04-23 14:14 denorastats.org Status UNCONFIRMED => NEW
2004-04-23 14:14 denorastats.org Ever Confirmed 0 => 1
2004-05-02 17:47 bugs@teh-heinz0r.co.uk CC => alexwied@optonline.net
2004-05-03 07:36 geniusdex@anope.org QAContact => geniusdex@anope.org
2004-05-04 09:41 bugs@teh-heinz0r.co.uk CC => impic@web.de
2004-05-04 09:42 bugs@teh-heinz0r.co.uk Severity normal => critical
2004-05-04 09:42 bugs@teh-heinz0r.co.uk Priority High => Urgent
2004-05-04 10:52 geniusdex@anope.org AssignedTo dane@zero.org => keeper@haxxors.com
2004-05-08 05:09 keeper@haxxors.com Status NEW => RESOLVED
2004-05-08 05:09 keeper@haxxors.com Resolution => FIXED
2004-05-08 06:01 bugs@teh-heinz0r.co.uk Status RESOLVED => VERIFIED
2004-05-17 04:23 bugs@teh-heinz0r.co.uk Status VERIFIED => CLOSED
2004-05-25 17:20 bugs@teh-heinz0r.co.uk CC => khevlar@juno.com


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker